<?php // Simple Download Counter - Reset Options

if (!defined('ABSPATH')) exit;

function simple_download_counter_admin_notices() {
			
	$screen = get_current_screen();
	
	if (!property_exists($screen, 'id')) return;
	
	if ($screen->id === 'sdc_download_page_download-counter-settings') {
		
		if (isset($_GET['download-counter-reset-options'])) {
			
			if ($_GET['download-counter-reset-options'] === 'true') : ?>
				
				<div class="notice notice-success is-dismissible"><p><strong><?php esc_html_e('Default options restored.', 'simple-download-counter'); ?></strong></p></div>
				
			<?php else : ?>
				
				<div class="notice notice-info is-dismissible"><p><strong><?php esc_html_e('No changes made to options.', 'simple-download-counter'); ?></strong></p></div>
				
			<?php endif;
			
		}
		
	}
	
}

function simple_download_counter_reset_options() {
	
	if (isset($_GET['download-counter-reset-options']) && wp_verify_nonce($_GET['download-counter-reset-options'], 'download-counter-reset-options')) {
		
		if (!current_user_can('manage_options')) exit;
		
		$update = delete_option('download_counter_options');
		
		if ($update) set_transient('update_sdc_download_permalinks', true);
		
		$result = $update ? 'true' : 'false';
		
		$location = add_query_arg(array('download-counter-reset-options' => $result), admin_url('edit.php?post_type=sdc_download&page=download-counter-settings'));
		
		wp_redirect(esc_url_raw($location));
		
		exit;
		
	}
	
}
